Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationAdvanced

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationAdvanced

extends java.rmi.Remote

This interface define methods to manage advanced configuration of server remotely.

Method Summary
`int` | `getAdminPort()` Deprecated. Since V8.1 replaced by ConfigurationService.getAdminPort().
`boolean` | `getConnectionKeepAlive()` Return true if connect and keep alive otherwise return false.
`boolean` | `getEnablePublishTempToVersion()` Return true if Enable the publish to version system when view a report, otherwise return false.
`boolean` | `getEnableSecurityCheck()` Return if Security Checking.
`java.lang.String` | `getEngineDefaultLanguage()` Return the engine default language
`int` | `getEnginePriority()` Return Engine Priority.
`java.lang.String` | `getLinkedCatalog()` get linked catalog on server level
`int` | `getMaxCompletedRecordCount()` return the max complete record count
`int` | `getPermissionAlgorithmType()` Get the server permission algorithm.
`long` | `getReportResultLife()` Return Report Result Life.
`boolean` | `getScheduleShouldRun()` Return true if schedule should run if time has passed during the system crashing otherwise return false.
`int` | `getTaskDurationCheckPeriod()`
`int` | `getUserSessionTimeout()` Return User Session Timeout.
`int` | `getViewReportTimeout()` Return View Report Timeout.
`boolean` | `isEnableDispalyGroupPermissionUI()` Return the group's permission setting display UI is display or hide
`boolean` | `isEnableDispalyRolePermissionUI()` Return the role's permission setting display UI is display or hide
`boolean` | `isEnableDispalyUserPermissionUI()` Return the user's permission setting display UI is display or hide
`boolean` | `isEnableDynamicResource()`
`boolean` | `isEnableLinkedCatalog()` return whether enable linked catalog on server level
`boolean` | `isEnableMultipleLogin()` return the server support same user name login multiple times or not.
`boolean` | `isEnableRoleBasedAuthorization()` Indicate whether enable role based authorization or not
`boolean` | `isEnableTaskDuration()`
`boolean` | `isPromptActionQueueFull()` return whether enable prompt message when action queue is full.
`boolean` | `isPromptTaskQueueFull()` return whether enable prompt message when task queue is full.
`void` | `loadProperties()` set the properties of server
`void` | `setAdminPort(int adminPort)` Deprecated. Since V8.1 replaced by ConfigurationService.setAdminPort(int adminPort).
`void` | `setConnectionKeepAlive(boolean enableKeepAlive)` Set if connect and keep alive
`void` | `setEnableDisplayGroupPermissionUI(boolean enableDispaly)` Set the groups' permission setting display or hide when customer set permission for other groups in web UI.
`void` | `setEnableDisplayRolePermissionUI(boolean enableDispaly)` Set the roles' permission setting display or hide when customer set permission for other roles in web UI.
`void` | `setEnableDisplayUserPermissionUI(boolean enableDispaly)` Set the users' permission setting display or hide when customer set permission for other users in web UI.
`void` | `setEnableDynamicResource(boolean enableDynamicResource)`
`void` | `setEnableLinkedCatalog(boolean enableLinkedCatalog)` set enable linked catalog on server level
`void` | `setEnableMultipleLogin(boolean enableMultipleLogin)` set enable login with same user name or not
`void` | `setEnablePublishTempToVersion(boolean enablePublishTempToVersion)` Set if Enable the publish to version system when view a report,
`void` | `setEnableRoleBasedAuthorization(boolean enableRoleBasedAuth)` set the server's security mode to role based
`void` | `setEnableSecurityCheck(boolean enableSecurityCheck)` Set if Security Checking.
`void` | `setEnableTaskDuration(boolean enableTaskDuration)`
`void` | `setEngineDefaultLanguage(java.lang.String useLanguage)` Set engine default language
`void` | `setEnginePriority(int enginePriority)` Set Engine Priority.
`void` | `setLinkedCatalog(java.lang.String linkedCatalog)` set linked catalog on server level
`void` | `setMaxCompletedRecordCount(int maxCompletedRecordCount)` set the max complete record count
`void` | `setPermissionAlgorithmType(int algorithmType)` Set the server permission algorithm.
`void` | `setPromptActionQueueFull(boolean isSet)` Set if enable prompt message when action queue is full.
`void` | `setPromptTaskQueueFull(boolean isSet)` Set if enable prompt message when task queue is full.
`void` | `setReportResultLife(long rptResultLife)` Set Report Result Life.
`void` | `setScheduleShouldRun(boolean shouldRun)` Set if schedule should run if time has passed during the system crashing
`void` | `setTaskDurationCheckPeriod(int checkPeriod)`
`void` | `setUserSessionTimeout(int userSessionTimeout)` Set User Session Timeout.
`void` | `setViewReportTimeout(int viewReportTimeout)` Set View Report Timeout.

Method Detail

### setUserSessionTimeout

    void setUserSessionTimeout(int userSessionTimeout)
                               throws java.rmi.RemoteException

  Set User Session Timeout.

  Parameters:
    `userSessionTimeout` - Session Timeout.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getUserSessionTimeout

    int getUserSessionTimeout()
                              throws java.rmi.RemoteException

  Return User Session Timeout.

  Returns:
    User Session Timeout.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setViewReportTimeout

    void setViewReportTimeout(int viewReportTimeout)
                              throws java.rmi.RemoteException

  Set View Report Timeout.

  Parameters:
    `viewReportTimeout` - View Report Timeout.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getViewReportTimeout

    int getViewReportTimeout()
                             throws java.rmi.RemoteException

  Return View Report Timeout.

  Returns:
    View Report Timeout.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAdminPort

    void setAdminPort(int adminPort)
                      throws java.rmi.RemoteException

  Deprecated. Since V8.1 replaced by ConfigurationService.setAdminPort(int adminPort).

  Set Administration Port.

  Parameters:
    `adminPort` - Administration Port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAdminPort

    int getAdminPort()
                     throws java.rmi.RemoteException

  Deprecated. Since V8.1 replaced by ConfigurationService.getAdminPort().

  Return Administration Port.

  Returns:
    Administration Port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setReportResultLife

    void setReportResultLife(long rptResultLife)
                             throws java.rmi.RemoteException

  Set Report Result Life.

  Parameters:
    `rptResultLife` - Report Result Life.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getReportResultLife

    long getReportResultLife()
                             throws java.rmi.RemoteException

  Return Report Result Life.

  Returns:
    Report Result Life.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnginePriority

    void setEnginePriority(int enginePriority)
                           throws java.rmi.RemoteException

  Set Engine Priority. It has 5 levels: 1 - Lowest Priority 2 - Low Priority 3 - Normal Priority 4 - High Priority 5 - Highest Priority

  Parameters:
    `enginePriority` - Engine Priority.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnginePriority

    int getEnginePriority()
                          throws java.rmi.RemoteException

  Return Engine Priority. It has 5 levels: 1 - Lowest Priority 2 - Low Priority 3 - Normal Priority 4 - High Priority 5 - Highest Priority

  Returns:
    Engine Priority.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableSecurityCheck

    void setEnableSecurityCheck(boolean enableSecurityCheck)
                                throws java.rmi.RemoteException

  Set if Security Checking.

  Parameters:
    `enableSecurityCheck` - if Security Checking.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnableSecurityCheck

    boolean getEnableSecurityCheck()
                                   throws java.rmi.RemoteException

  Return if Security Checking.

  Returns:
    boolean if Security Checking.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnablePublishTempToVersion

    void setEnablePublishTempToVersion(boolean enablePublishTempToVersion)
                                       throws java.rmi.RemoteException

  Set if Enable the publish to version system when view a report,

  Parameters:
    `enablePublishTempToVersion` - if Enable the publish to version system when view a report.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnablePublishTempToVersion

    boolean getEnablePublishTempToVersion()
                                          throws java.rmi.RemoteException

  Return true if Enable the publish to version system when view a report, otherwise return false.

  Returns:
    if Enable the publish to version system when view a report.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setConnectionKeepAlive

    void setConnectionKeepAlive(boolean enableKeepAlive)
                                throws java.rmi.RemoteException

  Set if connect and keep alive

  Parameters:
    `enableKeepAlive` - connect and keep alive if is "true"
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConnectionKeepAlive

    boolean getConnectionKeepAlive()
                                   throws java.rmi.RemoteException

  Return true if connect and keep alive otherwise return false.

  Returns:
    if Enable connect and keep alive.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setScheduleShouldRun

    void setScheduleShouldRun(boolean shouldRun)
                              throws java.rmi.RemoteException

  Set if schedule should run if time has passed during the system crashing

  Parameters:
    `shouldRun` - schedule should run if time has passed during the system crashing if is "true"
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getScheduleShouldRun

    boolean getScheduleShouldRun()
                                 throws java.rmi.RemoteException

  Return true if schedule should run if time has passed during the system crashing otherwise return false.

  Returns:
    if schedule should run if time has passed during the system crashing. added by zhangjisheng 20030617
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEngineDefaultLanguage

    void setEngineDefaultLanguage(java.lang.String useLanguage)
                                  throws java.rmi.RemoteException

  Set engine default language

  Parameters:
    `useLanguage` - is engine use language
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEngineDefaultLanguage

    java.lang.String getEngineDefaultLanguage()
                                              throws java.rmi.RemoteException

  Return the engine default language

  Returns:
    string which is engine default language.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  set the properties of server

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxCompletedRecordCount

    void setMaxCompletedRecordCount(int maxCompletedRecordCount)
                                    throws java.rmi.RemoteException

  set the max complete record count

  Parameters:
    `maxCompletedRecordCount` - is maxium number of records
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxCompletedRecordCount

    int getMaxCompletedRecordCount()
                                   throws java.rmi.RemoteException

  return the max complete record count

  Returns:
    int which is the max complete record count
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableMultipleLogin

    boolean isEnableMultipleLogin()
                                  throws java.rmi.RemoteException

  return the server support same user name login multiple times or not.

  Returns:
    boolean enable multiple login with same user name
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableMultipleLogin

    void setEnableMultipleLogin(boolean enableMultipleLogin)
                                throws java.rmi.RemoteException

  set enable login with same user name or not

  Parameters:
    `enableMultipleLogin` - ture is enable, false disable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableDynamicResource

    boolean isEnableDynamicResource()
                                    throws java.rmi.RemoteException

  Returns:
    boolean dynamic resource enable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableDynamicResource

    void setEnableDynamicResource(boolean enableDynamicResource)
                                  throws java.rmi.RemoteException

  Parameters:
    `enableDynamicResource` - dynamic resources enable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableDisplayUserPermissionUI

    void setEnableDisplayUserPermissionUI(boolean enableDispaly)
                                          throws java.rmi.RemoteException

  Set the users' permission setting display or hide when customer set permission for other users in web UI.

  Parameters:
    `enableDispaly` - true or false true: display the permission setting UI false: hide the permission setting UI
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableDisplayRolePermissionUI

    void setEnableDisplayRolePermissionUI(boolean enableDispaly)
                                          throws java.rmi.RemoteException

  Set the roles' permission setting display or hide when customer set permission for other roles in web UI.

  Parameters:
    `enableDispaly` - true or false true: display the permission setting UI false: hide the permission setting UI
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableDisplayGroupPermissionUI

    void setEnableDisplayGroupPermissionUI(boolean enableDispaly)
                                           throws java.rmi.RemoteException

  Set the groups' permission setting display or hide when customer set permission for other groups in web UI.

  Parameters:
    `enableDispaly` - true or false true: display the permission setting UI false: hide the permission setting UI
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableRoleBasedAuthorization

    void setEnableRoleBasedAuthorization(boolean enableRoleBasedAuth)
                                         throws java.rmi.RemoteException

  set the server's security mode to role based

  Parameters:
    `enableRoleBasedAuth` - true or false true: hide the "Permission Setting UI Displays" options false: display the "Permission Setting UI Displays" options
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableRoleBasedAuthorization

    boolean isEnableRoleBasedAuthorization()
                                           throws java.rmi.RemoteException

  Indicate whether enable role based authorization or not

  Returns:
    true is enable, false is disenable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableDispalyUserPermissionUI

    boolean isEnableDispalyUserPermissionUI()
                                            throws java.rmi.RemoteException

  Return the user's permission setting display UI is display or hide

  Returns:
    display is true, hide is false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableDispalyRolePermissionUI

    boolean isEnableDispalyRolePermissionUI()
                                            throws java.rmi.RemoteException

  Return the role's permission setting display UI is display or hide

  Returns:
    display is true, hide is false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableDispalyGroupPermissionUI

    boolean isEnableDispalyGroupPermissionUI()
                                             throws java.rmi.RemoteException

  Return the group's permission setting display UI is display or hide

  Returns:
    display is true, hide is false
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPermissionAlgorithmType

    int getPermissionAlgorithmType()
                                   throws java.rmi.RemoteException

  Get the server permission algorithm. There are two kinds of algorithm type: Type 0: The Permission Accumulation Algorithm Like the algorithm name, the permission algorithm will accumulate all permissions into the user permission according to the user's inherit relationship.

  Type 1: The User Permission Replacement Algorithm Like the algorithm name, when the administrator set some permissions on user, the user permissions will replace the permissions calculated result that calculated by inherit relationship.

  For example: There is a user named: Sam and he is the member of group: DP

  The principal's permission settings: The User: Sam- Schedule The Group: DP- Visible, Read, Write

  If using the permission algorithm type 0, the permission calculated result is: Visible, Read, Write, Schedule

  If using the permission algorithm type 1, the permissions calculated result is: Schedule.

  Returns:
    the permission algorithm type.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPermissionAlgorithmType

    void setPermissionAlgorithmType(int algorithmType)
                                    throws java.rmi.RemoteException

  Set the server permission algorithm. There are two kinds of algorithm type: Type 0: The Permission Accumulation Algorithm Like the algorithm name, the permission algorithm will accumulate all permissions into the user permission according to the user's inherit relationship.

  Type 1: The User Permission Replacement Algorithm Like the algorithm name, when the administrator set some permissions on user, the user permissions will replace the permissions calculated result that calculated by inherit relationship.

  Parameters:
    `algorithmType` - 0 represent algorithem type 0, 1 represent algorithem type 1
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableTaskDuration

    boolean isEnableTaskDuration()
                                 throws java.rmi.RemoteException

  Returns:
    true if enable task duration
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableTaskDuration

    void setEnableTaskDuration(boolean enableTaskDuration)
                               throws java.rmi.RemoteException

  Parameters:
    `enableTaskDuration` - true enable task duration, false disable it.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getTaskDurationCheckPeriod

    int getTaskDurationCheckPeriod()
                                   throws java.rmi.RemoteException

  Returns:
    task duration check period
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setTaskDurationCheckPeriod

    void setTaskDurationCheckPeriod(int checkPeriod)
                                    throws java.rmi.RemoteException

  Parameters:
    `checkPeriod` - task duration check period
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isEnableLinkedCatalog

    boolean isEnableLinkedCatalog()
                                  throws java.rmi.RemoteException

  return whether enable linked catalog on server level

  Returns:
    true if enable linked catalog on server level
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableLinkedCatalog

    void setEnableLinkedCatalog(boolean enableLinkedCatalog)
                                throws java.rmi.RemoteException

  set enable linked catalog on server level

  Parameters:
    `enableLinkedCatalog` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getLinkedCatalog

    java.lang.String getLinkedCatalog()
                                      throws java.rmi.RemoteException

  get linked catalog on server level

  Returns:
    the linked catalog on server level
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLinkedCatalog

    void setLinkedCatalog(java.lang.String linkedCatalog)
                          throws java.rmi.RemoteException

  set linked catalog on server level

  Parameters:
    `linkedCatalog` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isPromptTaskQueueFull

    boolean isPromptTaskQueueFull()
                                  throws java.rmi.RemoteException

  return whether enable prompt message when task queue is full.

  Returns:
    true is enable, false is disenable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPromptTaskQueueFull

    void setPromptTaskQueueFull(boolean isSet)
                                throws java.rmi.RemoteException

  Set if enable prompt message when task queue is full.

  Parameters:
    `isSet` - true is enable, false is disenable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isPromptActionQueueFull

    boolean isPromptActionQueueFull()
                                    throws java.rmi.RemoteException

  return whether enable prompt message when action queue is full.

  Returns:
    true is enable, false is disenable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPromptActionQueueFull

    void setPromptActionQueueFull(boolean isSet)
                                  throws java.rmi.RemoteException

  Set if enable prompt message when action queue is full.

  Parameters:
    `isSet` - true is enable, false is disenable
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD